Scientific Linux Security Update : libguestfs on SL6.x x86_64

This script is Copyright (C) 2012 Tenable Network Security, Inc.


Synopsis :

The remote Scientific Linux host is missing one or more security
updates.

Description :

libguestfs is a library for accessing and modifying guest disk images.

libguestfs relied on the format auto-detection in QEMU rather than
allowing the guest image file format to be specified. A privileged
guest user could potentially use this flaw to read arbitrary files on
the host that were accessible to a user on that host who was running a
program that utilized the libguestfs library. (CVE-2010-3851)

This erratum upgrades libguestfs to upstream version 1.7.17, which
includes a number of bug fixes and one enhancement.

All libguestfs users are advised to upgrade to these updated packages,
which correct this issue, and fix the bugs and add the enhancement.

See also :

http://www.nessus.org/u?1841d7b2

Solution :

Update the affected packages.

Risk factor :

Medium / CVSS Base Score : 4.7
(CVSS2#AV:L/AC:M/Au:N/C:C/I:N/A:N)

Family: Scientific Linux Local Security Checks

Nessus Plugin ID: 61042 ()

Bugtraq ID:

CVE ID: CVE-2010-3851